<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<IsPackable>false</IsPackable>
	</PropertyGroup>

	<ItemGroup>
		<None Remove="Integrations\DLSite\Product-Info.json" />
		<None Remove="Scanning\English-Page.html" />
	</ItemGroup>

	<ItemGroup>
		<EmbeddedResource Include="Integrations\DLSite\Product-Info.json" />
		<EmbeddedResource Include="Scanning\English-Page-Updated.html" />
		<EmbeddedResource Include="Scanning\Japanese-Page.html" />
		<EmbeddedResource Include="Scanning\English-Page.html" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="coverlet.collector" Version="6.0.4">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.NET.Test.Sdk" Version="18.0.1" />
		<PackageReference Include="NSubstitute" Version="5.3.0" />
		<PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="9.0.0" />
		<PackageReference Include="Shouldly" Version="4.3.0" />
		<PackageReference Include="Testcontainers" Version="4.9.0" />
		<PackageReference Include="Testcontainers.MariaDb" Version="4.9.0" />
		<PackageReference Include="Testcontainers.XunitV3" Version="4.9.0" />
		<PackageReference Include="xunit.runner.visualstudio" Version="3.1.5">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="xunit.v3" Version="3.2.1" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\JSMR.Infrastructure\JSMR.Infrastructure.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Using Include="Xunit" />
	</ItemGroup>

</Project>
